Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.bridge
Class JDBCSelectorBridge

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCSelectorBridge

All Implemented Interfaces:
  EntityBridgeInvocationHandler.BridgeInvoker, SelectorBridge

public class JDBCSelectorBridge
extends Object
implements SelectorBridge

JDBCSelectorBridge represents one ejbSelect method.

Life-cycle: Tied to the EntityBridge.

Multiplicity: One for each entity bean ejbSelect method.

Version:
  $Revision: 1.10 $
Author:
  Dain Sundstrom

Constructor Summary
`JDBCSelectorBridge(JDBCStoreManager manager, JDBCQueryMetaData queryMetaData)`

Method Summary
`Object` | `execute(Object[] args)`
`Method` | `getMethod()`
`String` | `getSelectorName()`
`Object` | `invoke(EntityEnterpriseContext ctx, Method method, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCSelectorBridge

    public JDBCSelectorBridge(JDBCStoreManager manager,
                              JDBCQueryMetaData queryMetaData)

Method Detail

### invoke

    public Object invoke(EntityEnterpriseContext ctx,
                         Method method,
                         Object[] args)
                  throws Exception

  Specified by:
    `invoke` in interface `EntityBridgeInvocationHandler.BridgeInvoker`
  Throws:
    `Exception`

### getSelectorName

    public String getSelectorName()

  Specified by:
    `getSelectorName` in interface `SelectorBridge`

### getMethod

    public Method getMethod()

  Specified by:
    `getMethod` in interface `SelectorBridge`

### execute

    public Object execute(Object[] args)
                   throws javax.ejb.FinderException

  Specified by:
    `execute` in interface `SelectorBridge`
  Throws:
    `javax.ejb.FinderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.